
QGIS Application - Bug report #15999

dxf encoding not selectable

2016-12-21 06:15 AM - Mike Blechschmidt

Status: Closed

Priority: Normal

Assignee:

Category: DWG/DXF import

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23915

Description

The Codepage of the DXF-File can not be choose.

With a incorrect Codepage (and layernames with Special char) the layer do not displayed

Related issues:

Duplicated by QGIS Application - Bug report # 19976: 'DWG/DXF-Import' - encod... Closed 2018-09-28

Associated revisions

Revision e1562a7f - 2019-02-19 07:56 PM - Jürgen Fischer

dwg import: support dxf encoding (fixes #15999)

Revision fb81ce68 - 2019-02-26 09:09 AM - Jürgen Fischer

backport dwg import fixes

fec20ae0e  dwg import: less noisy noise reduction

3aa2d9ff9  dwg import: catch spline misinterpretation (fixes #20392)

1a96982d3  dwg import: fix handling of arc and splines in hatches

6090a932c  dwg import: less noisy debugging

92e7faab6  dwg/dxf import: fix angle and alignment handing of (m)texts

0f6421df5  dwg import: use Q_DECLARE_TR_FUNCTIONS in QgsDwgImporter

f12cac7cb  dwg import: progress display

e1562a7f1  dwg import: support dxf encoding (fixes #15999)

b8c727f1d  dwg import: force polyline and hatch/ring continuity

355deb590  dwg import: fix exception (fixes #21177)

d84c34e0b  dwg import: support nested blocks (refs #20392)

fd15c3e5b  dwg import: handle wrong hatch interpretation (refs #20392)

History

#1 - 2016-12-22 05:30 AM - Jürgen Fischer

- Category changed from C++ Plugins to DWG/DXF import

#2 - 2016-12-22 05:31 AM - Jürgen Fischer

- Subject changed from New DXF-Import 2.18.2 to dxf encoding not selectable

#3 - 2016-12-22 05:35 AM - Jürgen Fischer

- Affected QGIS version changed from 2.18.0 to 2.18.2
#4 - 2016-12-22 05:37 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#5 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#7 - 2019-01-29 02:28 PM - Jürgen Fischer

- Duplicated by Bug report #19976: 'DWG/DXF-Import' - encoding option missing added

#8 - 2019-02-19 07:58 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|e1562a7f1339952be186e924bf96241ce2d826bd.
